Loading...
Searching...
No Matches
Exiv2::MemIo::Impl Class Reference

Internal Pimpl structure of class MemIo. More...

## Public Member Functions

| Impl ()
| Default constructor.
| Impl (const byte *data, long size)
| Constructor 2.
void | reserve (long wcount)
| Reserve memory.

## Public Attributes

byte * | data_
| Pointer to the start of the memory area.
long | idx_
| Index into the memory area.
long | size_
| Size of the memory area.
long | sizeAlloced_
| Size of the allocated buffer.
bool | isMalloced_
| Was the buffer allocated?
bool | eof_
| EOF indicator.

## Detailed Description

Internal Pimpl structure of class MemIo.

The documentation for this class was generated from the following file:

- basicio.cpp